#
# spec file for package ghc-ghc-lib-parser-ex
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name ghc-lib-parser-ex
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        8.10.0.19
Release:        bp155.2.15
Summary:        Algorithms on GHC parse trees
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-ghc-boot-devel
BuildRequires:  ghc-ghc-boot-th-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-uniplate-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
Algorithms on GHC parse trees.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Mon Feb  8 2021 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.19.
  [#]# 8.10.0.18 released 2021-02-06
  - Update to ghc-8.10.4.
  [#]# 9.0.0.1 released 2021-02-05
  - Upgrade Cabal defaults flag to 9.0.1
  [#]# 9.0.0.0 released 2021-02-05
  - Update to ghc-9.0.1
  [#]# 0.20210201 released 2021-02-01
  - Update to `ghc-lib-0.20210201`
  [#]# 0.20210101 released 2021-01-01
  - Update to `ghc-lib-0.20210101`
* Tue Dec 22 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.17.
  [#]# 8.10.0.17 released 2020-12-20
  - Update to ghc-8.10.3.
  [#]# 0.20201101 released 2020-11-01
  - Update to `ghc-lib-0.20201101`
  [#]# 0.20201001 released 2020-10-01
  - Update to `ghc-lib-0.20201001`
  - `GHCLIB_API_811` -> `GHCLIB_API_HEAD`
  - Add support for `GHCLIB_API_900`
  [#]# 0.20200901 released 2020-09-01
  - Update to `ghc-lib-0.20200901`
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Wed Aug 19 2020 Michel Normand <normand@linux.vnet.ibm.com>
- Add _constraints with 6GB min disk space for ppc64/ppc64le
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Mon Aug 10 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.16.
  [#]# 8.10.0.16 released 2020-08-08
  - Update to ghc-8.10.2.
  [#]# 0.20200801 released 2020-08-01
  - Update to `ghc-lib-0.20200801`
  [#]# 8.8.6.1 released 2020-07-16
  [#]# 0.20200704 released 2020-07-04
  - New function `isImportQualifiedPost`
* Mon Jul  6 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.15.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/ghc-lib-parser-ex-8.10.0.15/src/ChangeLog.md
* Tue Jun 23 2020 psimons@suse.com
- Add ghc-lib-parser-ex at version 8.10.0.14.
